#ifndef COLOR_TABLE_H_
#define COLOR_TABLE_H_


//
// Color tables used for generating cluts.
// (also known as palettes)
//


namespace clut_miser
{
 
  //
  //
  // format: entry[3] == pad (must be 0)
  //         entry[2] == red;
  //         entry[1] == green;
  //         entry[0] == blue;
  // entrys range from 0..255
  //
 typedef byte color_table_entry[4];

 const int max_color_table_entries = 256; // must be 8 bits or less

 struct color_table
 {
   int num_colors;        // number of colors used
                          // must be <= max_entries
   color_table_entry entries[max_color_table_entries];  

   void swap_r_b();  // Swaps red and blue components of this color table.  
                     // Useful for debugging purposes.

 };


};

#endif